Skip to Content
Nouvelle documentation Applite - JS SDK, Dart SDK & REST API
REST APIStoreProduits

API Produits

Endpoints pour la gestion des produits dans la boutique.

SDK: client.app.store.product

Endpoints

Lister les produits

Récupère la liste des produits avec pagination et filtres.

POST /app/{appId}/store/product/list
ChampTypeRequisDescription
apiKeystringOuiClé API
searchstringNonRecherche textuelle
idsstring[]NonFiltrer par IDs
categoryIdstringNonFiltrer par catégorie
sellerIdstringNonFiltrer par vendeur
collectionIdsstring[]NonFiltrer par collections
tagIdsstring[]NonFiltrer par tags
statusstringNonACTIVE, DRAFT, ARCHIVED
pagenumberNonPage (défaut: 1)
limitnumberNonLimite (défaut: 20, max: 100)
curl -X POST https://api.applite.ai/app/{appId}/store/product/list \ -H "Content-Type: application/json" \ -d '{ "apiKey": "your_api_key", "search": "T-Shirt", "status": "ACTIVE", "page": 1, "limit": 20 }'

Obtenir un produit

Récupère les détails complets d’un produit.

POST /app/{appId}/store/product/{id}
ChampTypeRequisDescription
apiKeystringOuiClé API
curl -X POST https://api.applite.ai/app/{appId}/store/product/{productId} \ -H "Content-Type: application/json" \ -d '{ "apiKey": "your_api_key" }'
Last updated on